View Issue Details

IDProjectCategoryView StatusLast Update
0002386Far ManagerMacropublic2013-05-15 13:47
ReporterJohnDoeAssigned Toshmuel 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002386: Выполнять макросы на RunAfterFARStart после загрузки всех плагинов
DescriptionЕсли при загрузке фара возникают какие-либо диалоги (например сообщения об ошибках), то в момент запуска макроса может оказаться активным диалог, а не панели, и макрос не сможет выполнить своё действие.
Steps To Reproduce1.lua:
Macro {
  area="Shell"; key="auto";
  flags="RunAfterFARStart";
  action=function()
    print([[cmd]]) Keys("Enter")
  end;
}

2.lua:
require"foobar"
TagsNo tags attached.
Build3410

Activities

shmuel

2013-04-20 12:32

developer   bugnote:0010860

1. Что-то непонятна связь заголовка с описанием.
2. Автостартующие макросы выполнялись и выполняются после загрузки всех плагинов.

JohnDoe

2013-04-20 13:45

updater   bugnote:0010861

1. Был не прав, исправьте на своё усмотрение
2. Сама суть проблемы понятна?

shmuel

2013-04-20 14:18

developer   bugnote:0010862

1. Исправить на своё усмотрение не так-то просто. Предлагайте варианты.
2. Суть понятна, но не уверен, что это должна разруливать система, а не сами автостартующие макросы.

JohnDoe

2013-04-20 15:13

updater   bugnote:0010863

Предлагаю оставить заглавие в покое, непосредственно после загрузки в процессе инициализации плагины могут выдавать сообщения, и это мешает.

2. Хотелось бы автоматически разрулить хотя бы простейшие случаи, типа того что в примере, когда плагин мешает сам себе.

shmuel

2013-04-20 16:05

developer   bugnote:0010864

1a. У плагинов есть загрузка, а "процесс инициализации непосредственно после загрузки" - это ваше изобретение.

1b. Если оставить заглавие в покое, то данный тикет можно закрывать.

2. Это как плагин "мешает сам себе"?

JohnDoe

2013-04-20 18:13

updater   bugnote:0010872

1b. Описанная проблема ведь реальна, не?

2. Пытается выполнить панельный макрос во время того как на экране диалог с ошибкой загрузки другого макроса.

shmuel

2013-04-20 20:02

developer   bugnote:0010874

Проблема реальна, но на каждую подобную проблему не напасёшься системных решений.

JohnDoe

2013-05-14 22:54

updater   bugnote:0010983

Если перед автостартующим макросом было запущено меню, то макрос не выполнится.

far.Show()

Macro { area="Shell"; key="somekey"; flags="RunAfterFARStart";
  action=function() msgbox"start" end;
}

shmuel

2013-05-15 00:44

developer   bugnote:0010987

> Если перед автостартующим макросом было запущено меню, то макрос не выполнится.

Исправлено.

JohnDoe

2013-05-15 12:41

updater   bugnote:0010991

Именно эта проблема меня больше всего донимала.
Остальное похоже решается добавлением в макрос
while not Area.Shell do Keys(mf.waitkey()) end

Issue History

Date Modified Username Field Change
2013-04-20 12:05 JohnDoe New Issue
2013-04-20 12:32 shmuel Note Added: 0010860
2013-04-20 13:45 JohnDoe Note Added: 0010861
2013-04-20 14:18 shmuel Note Added: 0010862
2013-04-20 15:13 JohnDoe Note Added: 0010863
2013-04-20 16:05 shmuel Note Added: 0010864
2013-04-20 18:13 JohnDoe Note Added: 0010872
2013-04-20 20:02 shmuel Note Added: 0010874
2013-05-14 22:54 JohnDoe Note Added: 0010983
2013-05-15 00:44 shmuel Note Added: 0010987
2013-05-15 12:41 JohnDoe Note Added: 0010991
2013-05-15 12:41 JohnDoe Status new => resolved
2013-05-15 13:03 alexy Assigned To => shmuel
2013-05-15 13:03 alexy Status resolved => assigned
2013-05-15 13:03 alexy Status assigned => resolved
2013-05-15 13:47 shmuel Build => 3410
2013-05-15 13:47 shmuel Status resolved => closed
2013-05-15 13:47 shmuel Resolution open => fixed
2013-05-15 13:47 shmuel Fixed in Version => 3.0